import EleventyFetch from "@11ty/eleventy-fetch";

const { POSTGREST_URL, POSTGREST_API_KEY } = process.env;

const fetchAllPosts = async () => {
  try {
    return await EleventyFetch(
      `${POSTGREST_URL}/optimized_posts?select=*&order=date.desc`,
      {
        duration: "1d",
        type: "json",
        fetchOptions: {
          method: "GET",
          headers: {
            "Content-Type": "application/json",
            Authorization: `Bearer ${POSTGREST_API_KEY}`,
          },
        },
      },
    );
  } catch (error) {
    console.error("Error fetching posts:", error);
    return [];
  }
};

export default async function () {
  const posts = await fetchAllPosts();

  return {
    all: posts,
    feed: posts.filter((posts) => posts.feed),
  };
}
