import EleventyFetch from "@11ty/eleventy-fetch";

const { POSTGREST_URL, POSTGREST_API_KEY } = process.env;

export default async function () {
  try {
    const data = await EleventyFetch(
      `${POSTGREST_URL}/optimized_recent_activity`,
      {
        duration: "1h",
        type: "json",
        fetchOptions: {
          method: "GET",
          headers: {
            "Content-Type": "application/json",
            Authorization: `Bearer ${POSTGREST_API_KEY}`,
          },
        },
      }
    );

    const feeds = data?.[0]?.feed || [];

    return feeds.filter((item) => item !== null);
  } catch (error) {
    console.error("Error fetching recent activity:", error);
    return [];
  }
}
