import EleventyFetch from "@11ty/eleventy-fetch";

const { POSTGREST_URL, POSTGREST_API_KEY } = process.env;

const fetchRedirects = async () => {
  try {
    return await EleventyFetch(
      `${POSTGREST_URL}/optimized_redirects?select=*`,
      {
        duration: "1h",
        type: "json",
        fetchOptions: {
          method: "GET",
          headers: {
            "Content-Type": "application/json",
            Authorization: `Bearer ${POSTGREST_API_KEY}`,
          },
        },
      },
    );
  } catch (error) {
    console.error("Error fetching redirect data:", error);
    return [];
  }
};

export default async function () {
  return await fetchRedirects();
}
